#include utility.js
#include ui/chat-interface.js
#include ui/chat-sidebar.js

// this needs revising at some point but will suffice for now
Umi.UI.ChatLayout = function() {
    const sideBar = new Umi.UI.ChatSideBar;
    const main = new Umi.UI.ChatInterface;

    const html = $e({
        attrs: {
            id: 'umi-chat',
            className: 'umi',
        },
        child: [
            main,
            sideBar,
        ],
    });

    return {
        getSideBar: function() {
            return sideBar;
        },
        getInterface: function() {
            return main;
        },
        getElement: function() {
            return html;
        },
    };
};
